linphone::MagicSearchListener Class Reference

A MagicSearchListener is used to do specifics searchs. More...

`#include <magic_search_listener.hh>`

Inheritance diagram for linphone::MagicSearchListener:

## Public Member Functions

virtual LINPHONECXX_PUBLIC void | onSearchResultsReceived (const std::shared_ptr< linphone::MagicSearch > &magicSearch)
| Callback used to notify when results are received.
virtual LINPHONECXX_PUBLIC void | onLdapHaveMoreResults (const std::shared_ptr< linphone::MagicSearch > &magicSearch, const std::shared_ptr< linphone::Ldap > &ldap)
| Callback used to notify when LDAP have more results available.

## Detailed Description

A MagicSearchListener is used to do specifics searchs.

## Member Function Documentation

## onLdapHaveMoreResults()

virtual LINPHONECXX_PUBLIC void linphone::MagicSearchListener::onLdapHaveMoreResults | ( | const std::shared_ptr< linphone::MagicSearch > & | magicSearch,
|  | const std::shared_ptr< linphone::Ldap > & | ldap )

inline virtual

Callback used to notify when LDAP have more results available.

Parameters

  magicSearch | MagicSearch object
  ldap | Ldap object

## onSearchResultsReceived()

virtual LINPHONECXX_PUBLIC void linphone::MagicSearchListener::onSearchResultsReceived | ( | const std::shared_ptr< linphone::MagicSearch > & | magicSearch | ) |

inline virtual

Callback used to notify when results are received.

Parameters

  magicSearch | MagicSearch object

The documentation for this class was generated from the following file:

- magic_search_listener.hh